Subject: Re: linux-next: Fixes tag needs some work in the perf-current tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 2 Sep 2024 15:42:32 -0300

On Mon, Sep 02, 2024 at 08:18:37AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   387ad33e5410 ("perf test pmu: Set uninitialized PMU alias to null")
> 
> Fixes tag
> 
>   Fixes: 3e0bf9 ("perf pmu: Restore full PMU name wildcard support")

In the perf-tools-next I have it as:

commit 37e2a19c98bf99747ca997be876dfc13f9165e0a
Author: Veronika Molnarova <[email-masked]>
Date:   Thu Aug 8 12:37:49 2024 +0200

    perf test pmu: Set uninitialized PMU alias to null
    
    Commit 3e0bf9fde2984469 ("perf pmu: Restore full PMU name wildcard
    support") adds a test case "PMU cmdline match" that covers PMU name
    wildcard support provided by function perf_pmu__match().
<SNIP>
    Fixes: 3e0bf9fde2984469 ("perf pmu: Restore full PMU name wildcard support")
    Signed-off-by: Veronika Molnarova <[email-masked]>
    Cc: James Clark <[email-masked]>
    Cc: Michael Petlan <[email-masked]>
    Cc: Namhyung Kim <[email-masked]>
    Cc: Radostin Stoyanov <[email-masked]>
    Link: https://lore.kernel.org/r/[email-masked]
    Signed-off-by: Arnaldo Carvalho de Melo <[email-masked]>

As I have:

⬢[acme@toolbox perf-tools-next]$ git config core.abbrev
16
⬢[acme@toolbox perf-tools-next]$

And scripts to make sure we get enough resolution to avoid such problems

I just checked and yeah, on perf-tools/perf-tools it is:

    Fixes: 3e0bf9 ("perf pmu: Restore full PMU name wildcard support")
    Signed-off-by: Veronika Molnarova <[email-masked]>
    Cc: [email-masked]
    Cc: [email-masked]
    Cc: [email-masked]
    Link: https://lore.kernel.org/r/[email-masked]
    Signed-off-by: Namhyung Kim <[email-masked]>

So I suggest Namhyung fixes up the Fixes tag to have a longer prefix for
the sha and Veronica to run:

⬢[acme@toolbox perf-tools]$ git config core.abbrev 16
⬢[acme@toolbox perf-tools]$ git config core.abbrev
16
⬢[acme@toolbox perf-tools]$ 

- Arnaldo

> has these problem(s):
> 
>   - Target SHA1 does not exist
> 
> Actually, the quoted SHA1 is too short and is ambiguous in my tree:
> 
> $ git show 3e0bf9
> error: short object ID 3e0bf9 is ambiguous
> hint: The candidates are:
> hint:   3e0bf9fde298 commit 2024-06-26 - perf pmu: Restore full PMU name wildcard support
> hint:   3e0bf93e0354 tree
> fatal: ambiguous argument '3e0bf9': unknown revision or path not in the working tree.
> 
> so you should use
> 
> Fixes: 3e0bf9fde298 ("perf pmu: Restore full PMU name wildcard support")
> 
> -- 
> Cheers,
> Stephen Rothwell